Subject: Re: [nfsv4] [Gen-art] Genart last call review of draft-ietf-nfsv4-rpcrdma-cm-pvt-data-06

From: Alissa Cooper <[email-masked]>
Date: Wed, 19 Feb 2020 15:57:01 -0500

Suhas, thanks for your review. Chuck, thanks for your responses. I entered a No Objection ballot.

Best,
Alissa

> On Jan 29, 2020, at 10:43 AM, Chuck Lever <[email-masked]> wrote:
> 
> OK. The next submitted revision will include changes resulting from
> the Gen-ART review. I'm waiting for resolution of SecDir comments
> before submitting a fresh revision.
> 
> Meanwhile, the changes so far are available to view as a diff with -06:
> 
> https://chucklever.github.io/i-d-rpcrdma-cm-pvt-data/#go.draft-ietf-nfsv4-rpcrdma-cm-pvt-data.diff <https://chucklever.github.io/i-d-rpcrdma-cm-pvt-data/#go.draft-ietf-nfsv4-rpcrdma-cm-pvt-data.diff>
> 
> 
>> On Jan 29, 2020, at 10:35 AM, Suhas Nandakumar <[email-masked]> wrote:
>> 
>> Thanks Chuck for the additional clarification. That helped me to understand better.
>> Sorry that I missed it in my reading. 
>> 
>> Yes the suggested changes look great.
>> 
>> Cheers
>> Suhas
>> 
>> On Wed, Jan 29, 2020 at 7:23 AM Chuck Lever <[email-masked]> wrote:
>> 
>>> On Jan 29, 2020, at 12:03 AM, Suhas Nandakumar <[email-masked]> wrote:
>>> 
>>> Thanks Chuck for the response. Please see inline
>>> 
>>>> On Tue, Jan 28, 2020 at 7:52 AM Chuck Lever <[email-masked]> wrote:
>>>> 
>>>> Zero is a permitted value for the size fields. Section 5.2 explains how
>>>> to compute the actual buffer size. If those fields contain zero, the
>>>> actual send and receive buffer sizes would be 1024 octets.
>>> 
>>> 
>>> [Suhas] I am not sure if i am reading it right here. Section 5.2 would result in the
>>> value of -1 if the min of the values is Zero (0/1024 - 1). Isn't it so ?
>> 
>> Section 5.2 says:
>> 
>>   Inline threshold sizes from 1KB to 256KB can be represented in the
>>   Send Size and Receive Size fields.  A sender computes the encoded
>>   value by dividing the actual value by 1024 and subtracting one from
>>   the result.  A receiver decodes this value by performing a
>>   complementary set of operations.
>> 
>> Here, "actual value" means the real size of the buffer. A 1024-octet
>> buffer would result in (1024 / 1024) - 1 = 0.
>> 
>> The computation done by the receiver is the inverse:
>> 
>>   (0 + 1) * 1024 = 1024
>> 
>> I could replace "actual value" by "buffer size, in octets". Would it
>> help if the text also spelled out the inverse computation?
>> 
>> 
>> --
>> Chuck Lever
>> 
>> 
>> 
> 
> --
> Chuck Lever
> 
> 
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/gen-art <https://www.ietf.org/mailman/listinfo/gen-art>